Remove Files from Agent Knowledge Base
curl --request PATCH \
--url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/knowledge-base/{sourceType}/remove \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"uniqueIds": [
"60f7b3b3b3b3b3b3b3b3b3b3",
"60f7b3b3b3b3b3b3b3b3b3b4"
]
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/knowledge-base/{sourceType}/remove"
payload = { "uniqueIds": ["60f7b3b3b3b3b3b3b3b3b3b3", "60f7b3b3b3b3b3b3b3b3b3b4"] }
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({uniqueIds: ['60f7b3b3b3b3b3b3b3b3b3b3', '60f7b3b3b3b3b3b3b3b3b3b4']})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/knowledge-base/{sourceType}/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Knowledge Base
Remove Files from Agent Knowledge Base
Removes files or text entries from an agent’s knowledge base. Use this endpoint to disassociate specific sources from an agent without deleting the underlying content. Source types: Specify the s
PATCH
/
ai-agents
/
agent-builder
/
agents
/
{uid}
/
knowledge-base
/
{sourceType}
/
remove
Remove Files from Agent Knowledge Base
For the complete error reference, see Error Guide.
Authorizations
API Key (i.e. Rest API Key from the Dashboard).
Path Parameters
Unique identifier of the agent
Source type (uploads, knowledge-base, etc.)
Body
application/json
Array of file IDs to be added to the knowledge base
Example:
[
"60f7b3b3b3b3b3b3b3b3b3b3",
"60f7b3b3b3b3b3b3b3b3b3b4"
]Response
200 - application/json
Files removed from knowledge base successfully
The response is of type object.
Was this page helpful?
⌘I